Bug 439401 - system-config-users crashes on startup w/ unassigned variable "gid"
system-config-users crashes on startup w/ unassigned variable "gid"
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-users (Show other bugs)
i386 Linux
low Severity low
: rc
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2008-03-28 11:26 EDT by Robert Kinstler
Modified: 2008-08-18 11:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-18 11:52:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Kinstler 2008-03-28 11:26:44 EDT
Description of problem:
system-config-users crashes on startup with the following traceback:
# system-config-users
Traceback (most recent call last):
  File "/usr/share/system-config-users/system-config-users.py", line 45, in ?
  File "/usr/share/system-config-users/mainWindow.py", line 280, in __init__
  File "/usr/share/system-config-users/mainWindow.py", line 454, in refresh
  File "/usr/share/system-config-users/mainWindow.py", line 546, in populate_lists
  File "/usr/share/system-config-users/mainWindow.py", line 529, in
    if long (gid) > 499 and not (cn == "nfsnobody" and (long (gid) == 65534L or
long (gid) == 4294967294L)):UnboundLocalError: local variable 'gid' referenced
before assignment

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start system-config-users on my host.
2. see the window flash on your screen and then observe the traceback
Actual results:
no function

Expected results:
working application

Additional info:
Comment 1 Nils Philippsen 2008-03-28 12:54:52 EDT
I'm a bit curious why libuser wouldn't return a GID at that point, Mirek can you
comment on that?

Other than that, perhaps you should check whether there are illegal or
inconsistent entries in your /etc/group and/or /etc/gshadow files.
Comment 2 Miloslav Trmač 2008-03-31 11:20:38 EDT
Some probably exists in /etc/gshadow, but not in /etc/groups.
Comment 3 Miloslav Trmač 2008-03-31 11:21:07 EDT
s/Some/& group/
Comment 4 Robert Kinstler 2008-03-31 12:17:29 EDT
Quite right.  gshadow has wheel.
Comment 5 Phillip S. Brown 2008-05-19 16:22:30 EDT
I've also seen this problem in RHEL4-U6, system-config-users version .  
Attempting to duplicate in RHEL5-U1, system-config-users version 1.2.51-1.el5, 
I get the following, more precise error:

"The user database cannot be read. This problem is most likely caused by a 
mismatch between /etc/passwd and /etc/shadow or /etc/group and /etc/gshadow. 
The program will exit now."

Comment 6 Phil Knirsch 2008-08-18 11:52:29 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.